(function ($) {
    "use strict";

    var covid19_frontend = window.$covid19_frontend = {

        map: function () {
            var data = covid19['countries'];
            for (var i = 0; i < data.length; i++) {
                var $country = $('.covid-map [title="' + data[i].country + '"]');
                var level = 0
                if ($country.length){
                    var cases = data[i].cases;
                    var deaths = data[i].deaths;
                    if (cases < 10) {
                        level = 1;
                    }
                    if (cases > 100) {
                        level = 2;
                    }
                    if (cases > 1000) {
                        level = 3;
                    }
                    if (cases > 10000) {
                        level = 6;
                    }
                    if (cases > 20000) {
                        level = 6;
                    }
                    if (cases > 50000) {
                        level = 6;
                    }
                    $country.attr('data-level', level);
                    $country.attr('data-cases', cases);
                    $country.attr('data-deaths', deaths);
                }
            }

            var $description = $(".covid-map .covid-tooltip");
            var confirmed_label = $description.attr('data-confirmed');
            var deaths_label = $description.attr('data-deaths');

            $('.covid-map path').mouseenter(function() {
                var cases = $(this).attr('data-cases') ? $(this).attr('data-cases') : 0;
                var deaths = $(this).attr('data-deaths') ? $(this).attr('data-deaths') : 0;
                $description.addClass('active');
                $description.html(
                    '<span class="tt-title">' + $(this).attr('title') + '</span>' +
                    '<br/><span class="tt-number">'+confirmed_label+': ' + cases +'</span>' +
                    ' - <span class="tt-number">'+deaths_label+': ' + deaths +'</span>'
                );
            }).mouseleave(function() {
                $description.removeClass('active');
            });

            $('.covid-map').on('mousemove', function(e){
                $description.css({
                    left:  e.offsetX + 20,
                    top:   e.offsetY - 40
                });

            });
        },
    };

    covid19_frontend.map();

})(jQuery);