<?php

namespace Groot\Covid19;

use GuzzleHttp\Exception\ClientException;
use GuzzleHttp\Exception\RequestException;

class Covid19
{

    protected $baseUri = 'https://disease.sh/v2/'; // https://corona.lmao.ninja/docs/

    /**
     * @param $endpoint
     * @return array|bool|mixed|object
     */
    public function request($endpoint)
    {
        $client = new HttpClient\HttpClient([
            'http_errors' => false,
            'defaults' => [
                'exceptions' => false,
            ],
        ]);

        try {
            $response = $client->simpleGet($this->baseUri . $endpoint, [
                'headers' => [
                    'Accept' => 'application/json',
                    'Content-type' => 'application/json',
                ],
            ]);
            return json_decode($response->getBody()->getContents(), true);
        } catch (ClientException $e) {
            return false;
        } catch (RequestException $e) {
            return false;
        }
    }

}