<?php

namespace Groot\Covid19\Entity;

use XF\Mvc\Entity\Entity;
use XF\Mvc\Entity\Structure;

/**
 * COLUMNS
 * @property int|null id
 * @property string country
 * @property string iso2
 * @property string iso3
 * @property string flag
 * @property int cases
 * @property int todayCases
 * @property int deaths
 * @property int todayDeaths
 * @property int recovered
 * @property int active
 * @property int critical
 * @property int casesPerOneMillion
 * @property int deathsPerOneMillion
 * @property int tests
 * @property int testsPerOneMillion
 * @property int affectedCountries
 * @property int updated
 */

class Covid19Countries extends Entity{

    public static function getStructure(Structure $structure)
    {
        $structure->table = 'groot_covid19_countries';
        $structure->shortName = 'Groot\Covid19:Covid19Countries';
        $structure->primaryKey = 'id';

        $structure->columns = [
            'id' => ['type' => self::INT, 'maxLength' => 10, 'autoIncrement' => true],
            'country' => ['type' => self::STR, 'maxLength' => 70],
            'iso2' => ['type' => self::STR, 'maxLength' => 10],
            'iso3' => ['type' => self::STR, 'maxLength' => 10],
            'flag' => ['type' => self::STR, 'maxLength' => 100],
            'cases' => ['type' => self::INT, 'default' => '0'],
            'todayCases' => ['type' => self::INT, 'default' => '0'],
            'deaths' => ['type' => self::INT, 'default' => '0'],
            'todayDeaths' => ['type' => self::INT, 'default' => '0'],
            'recovered' => ['type' => self::INT, 'default' => '0'],
            'active' => ['type' => self::INT, 'default' => '0'],
            'critical' => ['type' => self::INT, 'default' => '0'],
            'casesPerOneMillion' => ['type' => self::INT, 'default' => '0'],
            'deathsPerOneMillion' => ['type' => self::INT, 'default' => '0'],
            'tests' => ['type' => self::INT, 'default' => '0'],
            'testsPerOneMillion' => ['type' => self::INT, 'default' => '0'],
            'continent' => ['type' => self::STR, 'maxLength' => 25],
            'updated' => ['type' => self::UINT, 'default' => '0'],
        ];

        $structure->getters = [];
        $structure->relations = [];
        $structure->options = [];
        $structure->withAliases = [
            'api' => []
        ];

        return $structure;
    }

}