<?php

namespace Groot\Covid19\Repository;

use Groot\Covid19\Covid19 as Covid19Client;
use XF\Db\DuplicateKeyException;
use XF\Mvc\Entity\Repository;

class Covid19 extends Repository{

    /**
     * @return \XF\Mvc\Entity\Entity|\Groot\Covid19\Entity\Covid19
     */
    public function getGlobalData()
    {
        return
            $this->finder('Groot\Covid19:Covid19')
                ->fetchOne();
    }

    public function fetchGlobalData()
    {
        $data = [];
        $client = new Covid19Client();

        $data = $client->request('all');

        $existingData = $this->em->find('Groot\Covid19:Covid19', 1);

        if (!$existingData)
            $existingData = $this->em->create('Groot\Covid19:Covid19');

        $existingData->bulkSet([
            'cases' => $data['cases'],
            'todayCases' => $data['todayCases'],
            'deaths' => $data['deaths'],
            'todayDeaths' => $data['todayDeaths'],
            'recovered' => $data['recovered'],
            'active' => $data['active'],
            'critical' => $data['critical'],
            'casesPerOneMillion' => $data['casesPerOneMillion'],
            'deathsPerOneMillion' => $data['deathsPerOneMillion'],
            'tests' => $data['tests'],
            'testsPerOneMillion' => $data['testsPerOneMillion'],
            'affectedCountries' => $data['affectedCountries'],
            'updated' => \XF::$time
        ]);

        try {
            $existingData->save(false);
        } /** @noinspection PhpRedundantCatchClauseInspection */
        catch (DuplicateKeyException $e) {

        }

    }

}