<?php

namespace Groot\Covid19\Stats;

use Groot\Covid19\Covid19 as Covid19Client;
use XF\Stats\AbstractHandler;

class Covid19History extends AbstractHandler
{
    public function getStatsTypes()
    {
        return [
            'confirmed' => \XF::phrase('groot_covid19_label_confirmed'),
            'deaths' => \XF::phrase('groot_covid19_label_deaths'),
            'recovered' => \XF::phrase('groot_covid19_label_recovered'),
        ];
    }

    public function getData($start, $end)
    {

        $client = new Covid19Client();
        $data = $client->request('historical/all?lastdays=all');

        $data = $this->getDataPairs($data);

        return [
            'confirmed' => $data['cases'],
            'deaths' => $data['deaths'],
            'recovered' => $data['recovered'],
        ];
    }

    private function getDataPairs($data)
    {
        $output = [];

        foreach ($data as $key1 => $value1) {
            foreach ($data[$key1] as $key2 => $value2) {
                $key2 = strtotime($key2);
                $output[$key1][$key2] = $value2;
            }
        }

        return $output;
    }
}