<?php

namespace Groot\Covid19\Widget;

use Groot\Covid19\Repository\{Covid19, Covid19Countries};
use XF\Widget\AbstractWidget;
use function GuzzleHttp\Psr7\copy_to_string;

class Covid19List extends AbstractWidget
{
    protected $defaultOptions = [
        'darkStyle' => 0,
    ];

    public function render()
    {
        $title = $this->getTitle();

        if(!$title)
            $title = \XF::phrase('groot_covid19_label_global');

        /** @var Covid19 $covid19GlobalRepo */
        $covid19GlobalRepo = $this->repository('Groot\Covid19:Covid19');
        $globalData = $covid19GlobalRepo->getGlobalData();

        /** @var Covid19Countries $covid19CountriesRepo */
        $covid19CountriesRepo = $this->repository('Groot\Covid19:Covid19Countries');
        $countriesData = $covid19CountriesRepo->getCountries('cases');

        $viewParams = [
            'title' => $title,
            'globalData' => $globalData,
            'countriesData' => $countriesData,
            'darkStyle' => $this->options['darkStyle'],
        ];

        return $this->renderer('groot_covid19_list', $viewParams);
    }

    public function verifyOptions(\XF\Http\Request $request, array &$options, &$error = null)
    {
        $options = $request->filter([
            'darkStyle' => 'int',
        ]);
        return true;
    }
}