<?php

namespace Groot\Covid19\Widget;

use Groot\Covid19\Repository\{Covid19, Covid19Countries};
use XF\Widget\AbstractWidget;

class Covid19Map extends AbstractWidget
{
    protected $defaultOptions = [
        'style' => 'blue',
    ];

    public function render()
    {
        $title = $this->getTitle();

        if(!$title)
            $title = \XF::phrase('groot_covid19_label_global');

        $viewParams = [
            'title' => $title,
            'style' => $this->options['style'],
        ];

        return $this->renderer('groot_covid19_map', $viewParams);
    }

    public function verifyOptions(\XF\Http\Request $request, array &$options, &$error = null)
    {
        $options = $request->filter([
            'style' => 'str',
        ]);
        return true;
    }
}